#ifndef _gkpoint_h
#define _gkpoint_h

namespace PixelKit
{
	template <class T> class Point
	{
	public:
		T x;
		T y;
	
		Point(){
			this->x = 0;
			this->y = 0;
			
		};
		Point(T x, T y)
		{
			this->x = x;
			this->y = y;
		};
	};
}

#endif